# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.616   -> 1.617  
#	drivers/usb/host/ehci-q.c	1.16    -> 1.17   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/05/31	david-b@pacbell.net	1.617
# [PATCH] ehci remove warning if no CONFIG_USB_DEBUG
# 
# I just noticed a debug message will generate a needless warning
# when debugging is disabled.
# --------------------------------------------
#
diff -Nru a/drivers/usb/host/ehci-q.c b/drivers/usb/host/ehci-q.c
--- a/drivers/usb/host/ehci-q.c	Fri May 31 16:46:58 2002
+++ b/drivers/usb/host/ehci-q.c	Fri May 31 16:46:58 2002
@@ -144,11 +144,13 @@
 					usb_pipeendpoint (pipe),
 					usb_pipeout (pipe));
 			if (urb->dev->tt && !usb_pipeint (pipe)) {
+#ifdef DEBUG
 				struct usb_device *tt = urb->dev->tt->hub;
 				dbg ("clear tt %s-%s p%d buffer, a%d ep%d",
 					tt->bus->bus_name, tt->devpath,
     					urb->dev->ttport, urb->dev->devnum,
     					usb_pipeendpoint (pipe));
+#endif /* DEBUG */
 				usb_hub_tt_clear_buffer (urb->dev, pipe);
 			}
 		}
